org.eclipse.rdf4j.rio.nquads

## Class NQuadsWriter

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter
  - - org.eclipse.rdf4j.rio.ntriples.NTriplesWriter
    - - org.eclipse.rdf4j.rio.nquads.NQuadsWriter

- All Implemented Interfaces:
    RDFHandler, RDFWriter

      public class NQuadsWriter
      extends NTriplesWriter

  RDFWriter implementation for the `N-Quads` RDF format.
  Author:
    Joshua Shinavier

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.ntriples.NTriplesWriter

      `writer, writingStarted`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `namespaceTable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NQuadsWriter(OutputStream outputStream)`
    `NQuadsWriter(Writer writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDFFormat` | `getRDFFormat()` Gets the RDF format that this RDFWriter uses.
    `void` | `handleStatement(Statement st)` Handles a statement.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.ntriples.NTriplesWriter

      `endRDF, getSupportedSettings, handleComment, handleNamespace, startRDF, writeValue`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `getWriterConfig, set, setWriterConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFWriter

      `getWriterConfig, set, setWriterConfig`

- - ### Constructor Detail

    - #### NQuadsWriter

          public NQuadsWriter(OutputStream outputStream)

    - #### NQuadsWriter

          public NQuadsWriter(Writer writer)

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFWriter`
      Gets the RDF format that this RDFWriter uses.
      Specified by:
        `getRDFFormat` in interface `RDFWriter`
      Overrides:
        `getRDFFormat` in class `NTriplesWriter`

    - #### handleStatement

          public void handleStatement(Statement st)
                               throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a statement.
      Specified by:
        `handleStatement` in interface `RDFHandler`
      Overrides:
        `handleStatement` in class `NTriplesWriter`
      Parameters:
        `st` - The statement.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.